curl "https://api.v2.dealmachine.com/v1/tasks/task_001" \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"id": "task_001",
"organization_id": 1,
"opportunity_id": "42",
"property_id": "prop_12345",
"person_id": null,
"created_by_user_id": 5,
"assigned_to_user_id": 12,
"assigned_to_agent_id": null,
"title": "Schedule property walkthrough",
"description": "Contact seller to arrange a visit",
"is_completed": false,
"completed_at": null,
"completed_by_user_id": null,
"due_date": "2026-03-10T00:00:00Z",
"sort_order": 0,
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-03-01T09:00:00Z"
}
}
Tasks
Get Task
Get a single task by ID
GET
/
v1
/
tasks
/
{id}
curl "https://api.v2.dealmachine.com/v1/tasks/task_001" \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"id": "task_001",
"organization_id": 1,
"opportunity_id": "42",
"property_id": "prop_12345",
"person_id": null,
"created_by_user_id": 5,
"assigned_to_user_id": 12,
"assigned_to_agent_id": null,
"title": "Schedule property walkthrough",
"description": "Contact seller to arrange a visit",
"is_completed": false,
"completed_at": null,
"completed_by_user_id": null,
"due_date": "2026-03-10T00:00:00Z",
"sort_order": 0,
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-03-01T09:00:00Z"
}
}
Retrieve a single task by its ID.
Task ID.
curl "https://api.v2.dealmachine.com/v1/tasks/task_001" \
-H "Authorization: Bearer dm_sk_live_xxx"
{
"data": {
"id": "task_001",
"organization_id": 1,
"opportunity_id": "42",
"property_id": "prop_12345",
"person_id": null,
"created_by_user_id": 5,
"assigned_to_user_id": 12,
"assigned_to_agent_id": null,
"title": "Schedule property walkthrough",
"description": "Contact seller to arrange a visit",
"is_completed": false,
"completed_at": null,
"completed_by_user_id": null,
"due_date": "2026-03-10T00:00:00Z",
"sort_order": 0,
"created_at": "2026-03-01T09:00:00Z",
"updated_at": "2026-03-01T09:00:00Z"
}
}
⌘I